<template lang="html">
  <div class="profile-posts">     
    <audio-uploader v-if="isAuthedProfile && profile.type=='artist'" :compositor="{name:profile.username,_id:profile._id}"/>
    <audio-reader-list v-if="profile.type=='artist'" :audios="profile.posts"/>
    <image-uploader v-if="isAuthedProfile && profile.type=='exposant'" :compositor="{_id:profile._id}"/>
    <image-gallery v-if="profile.type=='exposant'" :images="profile.posts"/>
  </div>
</template>

<script>
import audioReader from '@/components/AudioReader'
import audioUploader from '@/components/AudioUploader'
import audioReaderList from '@/components/AudioReaderList'
import imageUploader from '@/components/ImageUploader'
import imageGallery from '@/components/ImageGallery'
import { getInputFile } from '@/assets/utils'
import musicGenders from '@/assets/music-genders.json'
export default {
  name:'ProfilePosts',
  props:['profile','authedProfile'],
  components:{
    'audioReader' : audioReader,
    'audioReaderList' : audioReaderList,
    'audioUploader' : audioUploader,
    'imageUploader' : imageUploader,
    'imageGallery' : imageGallery
  },
  computed:{
    isAuthedProfile(){
      return this.profile.username == this.authedProfile.username;
    }
  }
}
</script>

<style lang="scss" scoped>
</style>
